Subject: Re: bug#64917: 30.0.50; c-ts-mode throws warnings about missing cpp support

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Jul 2023 15:11:33 +0300

tags 64917 notabug
thanks

> From: Robert Pluim <[email-masked]>
> Date: Fri, 28 Jul 2023 11:14:15 +0200
> 
> I built master with tree-sitter support, and installed the c-language
> grammar using M-x treesit-install-language-grammar. I have
> libtree-sitter-c.so in ~/.emacs.d/tree-sitter
> 
> I restarted emacs, visited src/xdisp.c, and did M-x c-ts-mode, which
> popped up a *Warnings* buffer containing:
> 
> ⛔ Warning (treesit): Cannot activate tree-sitter, because language grammar for cpp is unavailable (not-found): (libtree-sitter-cpp libtree-sitter-cpp.0 libtree-sitter-cpp.0.0 libtree-sitter-cpp.so libtree-sitter-cpp.so.0 libtree-sitter-cpp.so.0.0) No such file or directory
> ⛔ Warning (treesit): Cannot activate tree-sitter, because language grammar for cpp is unavailable (not-found): (libtree-sitter-cpp libtree-sitter-cpp.0 libtree-sitter-cpp.0.0 libtree-sitter-cpp.so libtree-sitter-cpp.so.0 libtree-sitter-cpp.so.0.0) No such file or directory
> 
> which is less than desirable (althoug `major-mode' is c-ts-mode, so I
> guess things worked)

Please install the C++ grammar as well.  Those two go together because
some *.h files could be C or C++, and we can only test that at run
time.